<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>polylib: alpha.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>File&nbsp;Members</span></a></li>
    </ul>
  </div>
<h1>alpha.h</h1><a href="alpha_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    This file is part of PolyLib.</span>
<a name="l00003"></a>00003 <span class="comment"></span>
<a name="l00004"></a>00004 <span class="comment">    PolyLib is free software: you can redistribute it and/or modify</span>
<a name="l00005"></a>00005 <span class="comment">    it under the terms of the GNU General Public License as published by</span>
<a name="l00006"></a>00006 <span class="comment">    the Free Software Foundation, either version 3 of the License, or</span>
<a name="l00007"></a>00007 <span class="comment">    (at your option) any later version.</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">    PolyLib is distributed in the hope that it will be useful,</span>
<a name="l00010"></a>00010 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00011"></a>00011 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span>
<a name="l00012"></a>00012 <span class="comment">    GNU General Public License for more details.</span>
<a name="l00013"></a>00013 <span class="comment"></span>
<a name="l00014"></a>00014 <span class="comment">    You should have received a copy of the GNU General Public License</span>
<a name="l00015"></a>00015 <span class="comment">    along with PolyLib.  If not, see &lt;http://www.gnu.org/licenses/&gt;.</span>
<a name="l00016"></a>00016 <span class="comment">*/</span>
<a name="l00017"></a>00017 
<a name="l00018"></a>00018 <span class="preprocessor">#ifndef _alpha_h_</span>
<a name="l00019"></a>00019 <span class="preprocessor"></span><span class="preprocessor">#define _alpha_h_</span>
<a name="l00020"></a>00020 <span class="preprocessor"></span>
<a name="l00021"></a>00021 <span class="preprocessor">#if defined(__cplusplus)</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {
<a name="l00023"></a>00023 <span class="preprocessor">#endif</span>
<a name="l00024"></a>00024 <span class="preprocessor"></span>
<a name="l00025"></a>00025 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="alpha_8c.html#abf25c91aa148c825f260e5c8b50fa5b1">GaussSimplify</a> ( <a class="code" href="structmatrix.html">Matrix</a> *M, <a class="code" href="structmatrix.html">Matrix</a> *M2 );
<a name="l00026"></a>00026 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="alpha_8c.html#a0f28b3a3172da3ef981f4a57c7ead628">PolyhedronLTQ</a> ( <a class="code" href="structpolyhedron.html">Polyhedron</a> *P1, <a class="code" href="structpolyhedron.html">Polyhedron</a> *P2, <span class="keywordtype">int</span> INDEX, <span class="keywordtype">int</span>
<a name="l00027"></a>00027                            PDIM, <span class="keywordtype">int</span> <a class="code" href="verif__ehrhart_8c.html#a89fd83aa168651629c012d8655635588">MAXRAYS</a> );
<a name="l00028"></a>00028 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="alpha_8c.html#a682408c0e864140d11fb7b841e5d6654">PolyhedronTSort</a> ( <a class="code" href="structpolyhedron.html">Polyhedron</a> ** L, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="polyparam_8c.html#a76f11d9a0a47b94f72c2d0e77fb32240">n</a>, <span class="keywordtype">unsigned</span>
<a name="l00029"></a>00029                              <span class="keywordtype">int</span> index, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> pdim, <span class="keywordtype">int</span> * time,
<a name="l00030"></a>00030                              <span class="keywordtype">int</span> * pvect, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="verif__ehrhart_8c.html#a89fd83aa168651629c012d8655635588">MAXRAYS</a> );
<a name="l00031"></a>00031 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="alpha_8c.html#a5be7eb3e254a2e2e61c50d736b4900de">Polyhedron_Not_Empty</a> ( <a class="code" href="structpolyhedron.html">Polyhedron</a> *P, <a class="code" href="structpolyhedron.html">Polyhedron</a> *C, <span class="keywordtype">int</span>
<a name="l00032"></a>00032                                   <a class="code" href="verif__ehrhart_8c.html#a89fd83aa168651629c012d8655635588">MAXRAYS</a> );
<a name="l00033"></a>00033 <span class="preprocessor">#if defined(__cplusplus)</span>
<a name="l00034"></a>00034 <span class="preprocessor"></span>}
<a name="l00035"></a>00035 <span class="preprocessor">#endif</span>
<a name="l00036"></a>00036 <span class="preprocessor"></span>
<a name="l00037"></a>00037 <span class="preprocessor">#endif </span><span class="comment">/* _alpha_h_ */</span>
</pre></div></div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Nov 25 17:45:25 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
